<html>
<head>
<title>OGRE: Ogre::NumericSolver Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1NumericSolver.html">NumericSolver</a></div>
<h1>Ogre::NumericSolver Class Reference</h1><!-- doxytag: class="Ogre::NumericSolver" -->Provides numeric solvers for <a class="el" href="namespaceOgre.html">Ogre</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreNumerics_8h-source.html">OgreNumerics.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1NumericSolver-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NumericSolver.html#a88c45c0ad94315e32e3632324a0e15c">solveNxNLinearSysDestr</a> (int n, <a class="el" href="namespaceOgre.html#006856a8eae8ec29bf45365bbd67ea46">PreciseReal</a> **coeff, <a class="el" href="namespaceOgre.html#006856a8eae8ec29bf45365bbd67ea46">PreciseReal</a> *col)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Solves a full rank NxN linear system of equations.  <a href="#a88c45c0ad94315e32e3632324a0e15c"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Provides numeric solvers for <a class="el" href="namespaceOgre.html">Ogre</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Handles linear algebra numerics. </dd></dl>

<p>Definition at line <a class="el" href="OgreNumerics_8h-source.html#l00042">42</a> of file <a class="el" href="OgreNumerics_8h-source.html">OgreNumerics.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="a88c45c0ad94315e32e3632324a0e15c"></a><!-- doxytag: member="Ogre::NumericSolver::solveNxNLinearSysDestr" ref="a88c45c0ad94315e32e3632324a0e15c" args="(int n, PreciseReal **coeff, PreciseReal *col)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool Ogre::NumericSolver::solveNxNLinearSysDestr           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#006856a8eae8ec29bf45365bbd67ea46">PreciseReal</a> **&nbsp;</td>
          <td class="paramname"> <em>coeff</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#006856a8eae8ec29bf45365bbd67ea46">PreciseReal</a> *&nbsp;</td>
          <td class="paramname"> <em>col</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Solves a full rank NxN linear system of equations. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This implements a naive gaussian elimination algorithm. The algorithm is destructive, so there are side effects in coeff and col. </dd></dl>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreNumerics_8h-source.html">OgreNumerics.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:00 2008
</p>
</body>
</html>
